> ## Documentation Index
> Fetch the complete documentation index at: https://docs.financialdatasets.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Facts (by CIK)

> Get company information and facts by SEC CIK number. Includes sector, industry, market cap, and corporate details.

### Overview

Company facts includes data like name, CIK, total employees, website URL, and more.

The company facts API provides a simple way to access the most important high-level information about a company.

To get started, please create an account and grab your <b>API key</b> at [financialdatasets.ai](https://financialdatasets.ai).

You will use the API key to authenticate your API requests.

### Coverage

| Tickers | Years of Coverage | Updated   |
| ------- | ----------------- | --------- |
| 28,000+ | Current           | Real-time |

### Available CIKs

You can fetch a list of available CIKs with a `GET` request to:
[https://api.financialdatasets.ai/company/facts/ciks/](https://api.financialdatasets.ai/company/facts/ciks/)

### Getting Started

There are only 3 steps for making a successful API call:

1. Add your API key to the header of the request as `X-API-KEY`.
2. Add query params like `cik` filter the data.
3. Execute the API request.

**Note**: You must include the `cik` in your query params.

### Example

```python Company Facts theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
import requests

# add your API key to the headers
headers = {
    "X-API-KEY": "your_api_key_here"
}

# set your query params
cik = '0000320193'

# create the URL
url = (
    f'https://api.financialdatasets.ai/company/facts'
    f'?cik={cik}'
)

# make API request
response = requests.get(url, headers=headers)

# parse company_facts from the response
company_facts = response.json().get('company_facts')
```


## OpenAPI

````yaml GET /company/facts
openapi: 3.0.1
info:
  title: Financial Datasets API
  description: >-
    Stock market API with real-time and historical financial data for 27,000+
    tickers over 30+ years. Financial statements, equity prices, insider trades,
    SEC filings, and more.
  version: 1.0.0
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  contact:
    name: API Support
    url: mailto:support@financialdatasets.ai
    email: support@financialdatasets.ai
  termsOfService: https://financialdatasets.ai/terms-of-use
servers:
  - url: https://api.financialdatasets.ai/
    description: Production server
security:
  - X-API-KEY: []
tags:
  - name: Financial Statements
    description: Access to income statements, balance sheets, and cash flow statements
  - name: Market Data
    description: Real-time and historical price data
  - name: Company Information
    description: Company facts like ticker, name, and description
  - name: Earnings
    description: Earnings data and related information
  - name: News
    description: Real-time and historical news articles
  - name: SEC Filings
    description: SEC filings and regulatory documents
  - name: Insider Trades
    description: Insider trading activity and transactions
  - name: Activist Ownership
    description: Activist stakes from SEC Schedule 13D filings, in real time
  - name: Beneficial Ownership
    description: >-
      Holders of more than 5% of a company's shares, from SEC Schedules 13D and
      13G
  - name: Insider Ownership
    description: Insider ownership statements from SEC Forms 3 and 5
  - name: Institutional Holdings
    description: SEC-direct 13F equity holdings of institutional investment managers
  - name: Index Funds
    description: >-
      ETF and index-fund holdings, weights, and the funds that hold a given
      security
  - name: Financial Metrics
    description: Financial ratios, metrics, and key performance indicators
  - name: Macroeconomics
    description: Real-time and historical macroeconomic data like interest rates
  - name: KPIs
    description: Sector-specific operational KPIs extracted from earnings releases.
paths:
  /company/facts:
    get:
      tags:
        - Company Information
      summary: Get company facts
      description: Get company facts for a ticker.
      operationId: getCompanyFacts
      parameters:
        - name: ticker
          in: query
          description: The ticker symbol.
          required: false
          schema:
            type: string
        - name: cik
          in: query
          description: The CIK of the company.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Company facts response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyFactsResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  schemas:
    CompanyFactsResponse:
      type: object
      properties:
        company_facts:
          $ref: '#/components/schemas/CompanyFacts'
    CompanyFacts:
      type: object
      properties:
        ticker:
          type: string
          description: The ticker symbol of the company.
        name:
          type: string
          description: The name of the company.
        cik:
          type: string
          description: The Central Index Key (CIK) of the company.
        industry:
          type: string
          description: The industry of the company.
        sector:
          type: string
          description: The sector of the company.
        exchange:
          type: string
          description: The exchange of the company.
        is_active:
          type: boolean
          description: Whether the company is currently active.
        location:
          type: string
          description: The location of the company.
        sec_filings_url:
          type: string
          format: uri
          description: The URL of the company's SEC filings.
        sic_code:
          type: string
          description: The Standard Industrial Classification (SIC) code of the company.
        sic_industry:
          type: string
          description: The industry of the company based on the SIC code.
        sic_sector:
          type: string
          description: The sector of the company based on the SIC code.
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: A short error message.
        message:
          type: string
          description: A more detailed error message.
  responses:
    BadRequestError:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Bad Request
            message: Invalid request parameters
    UnauthorizedError:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Unauthorized
            message: Invalid API key provided
    NotFoundError:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Not Found
            message: Ticker XXXX not found
  securitySchemes:
    X-API-KEY:
      type: apiKey
      name: X-API-KEY
      description: API key for authentication.
      in: header

````